Package com.collibra.dgc.core.api.dto.assignment

# Class ChangeScopeRequest

Object
ChangeScopeRequest

All Implemented Interfaces:
  `Serializable`

public class ChangeScopeRequest extends Object implements Serializable
The properties of the scope to be changed.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `ChangeScopeRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChangeScopeRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChangeScopeRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `List<UUID>`
  `getCommunityIds()`
  The new list of IDs of communities that should included in the scope.
  `String`
  `getDescription()`
  The new description for the scope.
  `List<UUID>`
  `getDomainIds()`
  The new list of IDs of domains that should included in the scope.
  `UUID`
  `getId()`
  Required. The ID of the scope to be changed.
  `String`
  `getName()`
  The new name for the scope.
  `String`
  `getPublicId()`
  The new public id for the Scope.
  `int`
  `hashCode()`
  `void`
  `setCommunityIds(List<UUID> communityIds)`
  The new list of IDs of communities that should included in the scope.
  `void`
  `setDescription(String description)`
  The new description for the scope.
  `void`
  `setDomainIds(List<UUID> domainIds)`
  The new list of IDs of domains that should included in the scope.
  `void`
  `setId(UUID id)`
  Required. The ID of the scope to be changed.
  `void`
  `setName(String name)`
  The new name for the scope.
  `void`
  `setPublicId(String publicId)`
  The new public id for the Scope.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChangeScopeRequest

    public ChangeScopeRequest()

- ## Method Details

  - ### builder

    public static ChangeScopeRequest.Builder builder()

  - ### getId

    public UUID getId()
    Required. The ID of the scope to be changed.

  - ### getPublicId

    public String getPublicId()
    The new public id for the Scope.

    It must be unique within all Asset Types, Complex Relation Types, Domain Types and Scopes. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C".

    WARNING : The public id should only be changed with extreme caution, since it can break existing customizations. The only valid use case is to change it after creation of the type, if no public id was specified, and the generated proposal is not acceptable.

  - ### getName

    public String getName()
    The new name for the scope.

  - ### getDescription

    public String getDescription()
    The new description for the scope.

  - ### getDomainIds

    public List<UUID> getDomainIds()
    The new list of IDs of domains that should included in the scope.

  - ### getCommunityIds

    public List<UUID> getCommunityIds()
    The new list of IDs of communities that should included in the scope.

  - ### setId

    public void setId(UUID id)
    Required. The ID of the scope to be changed.

  - ### setPublicId

    public void setPublicId(String publicId)
    The new public id for the Scope.

    It must be unique within all Asset Types, Complex Relation Types, Domain Types and Scopes. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C".

    WARNING : The public id should only be changed with extreme caution, since it can break existing customizations. The only valid use case is to change it after creation of the type, if no public id was specified, and the generated proposal is not acceptable.

  - ### setName

    public void setName(String name)
    The new name for the scope.

  - ### setDescription

    public void setDescription(String description)
    The new description for the scope.

  - ### setDomainIds

    public void setDomainIds(List<UUID> domainIds)
    The new list of IDs of domains that should included in the scope.

  - ### setCommunityIds

    public void setCommunityIds(List<UUID> communityIds)
    The new list of IDs of communities that should included in the scope.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`